Module java.base
Package java.lang

## Class ClassFormatError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError
      - - java.lang.ClassFormatError

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `GenericSignatureFormatError`, `UnsupportedClassVersionError`

    public class ClassFormatError
    extends LinkageError

Thrown when the Java Virtual Machine attempts to read a class file and determines that the file is malformed or otherwise cannot be interpreted as a class file.

Since:
  1.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ClassFormatError()` Constructs a `ClassFormatError` with no detail message.
`ClassFormatError​(String s)` Constructs a `ClassFormatError` with the specified detail message.

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClassFormatError

    public ClassFormatError()

Constructs a `ClassFormatError` with no detail message.

#### ClassFormatError

    public ClassFormatError​(String s)

Constructs a `ClassFormatError` with the specified detail message.

Parameters:
  `s` - the detail message.